org.modeshape.jcr.query

## Class QueryBuilder.OrderByBuilder

- java.lang.Object
- - org.modeshape.jcr.query.QueryBuilder.OrderByBuilder

- Enclosing class:
    QueryBuilder

      public class QueryBuilder.OrderByBuilder
      extends Object

  The component used to build the order-by clause. When the clause is completed, `end()` should be called to return to the `QueryBuilder` instance.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `QueryBuilder.OrderByBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `QueryBuilder.OrderByOperandBuilder` | `ascending()` Begin specifying an order-by specification using `ascending order`.
    `QueryBuilder.OrderByOperandBuilder` | `ascendingNullsFirst()` Begin specifying an order-by specification using `ascending order`.
    `QueryBuilder.OrderByOperandBuilder` | `descending()` Begin specifying an order-by specification using `descending order`.
    `QueryBuilder.OrderByOperandBuilder` | `descendingNullsLast()` Begin specifying an order-by specification using `descending order`.
    `QueryBuilder` | `end()` Complete the order-by clause and return the QueryBuilder instance.
    `QueryBuilder.OrderByBuilder` | `then()` An optional convenience method that returns this builder, but which makes the code using this builder more readable.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBuilder.OrderByBuilder

          protected QueryBuilder.OrderByBuilder()

  - ### Method Detail

    - #### ascending

          public QueryBuilder.OrderByOperandBuilder ascending()

      Begin specifying an order-by specification using `ascending order`.
      Returns:
        the interface for specifying the operand that is to be ordered; never null

    - #### descending

          public QueryBuilder.OrderByOperandBuilder descending()

      Begin specifying an order-by specification using `descending order`.
      Returns:
        the interface for specifying the operand that is to be ordered; never null

    - #### ascendingNullsFirst

          public QueryBuilder.OrderByOperandBuilder ascendingNullsFirst()

      Begin specifying an order-by specification using `ascending order`.
      Returns:
        the interface for specifying the operand that is to be ordered; never null

    - #### descendingNullsLast

          public QueryBuilder.OrderByOperandBuilder descendingNullsLast()

      Begin specifying an order-by specification using `descending order`.
      Returns:
        the interface for specifying the operand that is to be ordered; never null

    - #### then

          public QueryBuilder.OrderByBuilder then()

      An optional convenience method that returns this builder, but which makes the code using this builder more readable.
      Returns:
        this builder; never null

    - #### end

          public QueryBuilder end()

      Complete the order-by clause and return the QueryBuilder instance.
      Returns:
        the query builder instance; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.